package net.dotmyself.bartering.service;

import java.util.HashSet;
import java.util.Set;
import javax.ws.rs.ApplicationPath;
import javax.ws.rs.core.Application;

/**
 * Used to tell server container which Restful web services (@Path annotated
 * classes) we want deployed.
 *
 * @author Hyacinthe MENIET
 */
@ApplicationPath("api")
public class BarteringApplication extends Application {

    @Override
    public Set<Class<?>> getClasses() {
        Set<Class<?>> classes = new HashSet<>();
        classes.add(net.dotmyself.bartering.service.PersonResource.class);
        return classes;
    }

}
