<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN"     
    "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" >
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <title>Association de troc de services entre particuliers</title>
        <style type="text/css">
            table, th, td {border: 1px solid black;}
        </style>
    </head>
    <body>
        <h1>Association de troc de services entre particuliers</h1>
        <h2>Le web service REST</h2>
        <table>
            <tbody>
                <tr>
                    <th>URI</th>
                    <th>HTTP</th>
                    <th>Description</th>
                    <th>Sortie</th>
                    <th>Entr&eacute;e</th>
                </tr>
                <tr>
                    <td>/persons/{mId}</td>
                    <td>GET</td>
                    <td>Retourne des informations sur la personne</td>
                    <td>La personne</td>
                    <td>N/A</td>
                </tr>
                <tr>
                    <td>/persons/{mId}/services</td>
                    <td>GET</td>
                    <td>Retourne les services de la personne</td>
                    <td>Une collection de services</td>
                    <td>N/A</td>
                </tr>
                <tr>
                    <td>/persons/{mId}/services</td>
                    <td>POST</td>
                    <td>Ajoute un service &agrave; la personne</td>
                    <td>l'URI du service</td>
                    <td>Un service</td>
                </tr>
                <tr>
                    <td>/persons/{mId}/services/{sId}</td>
                    <td>GET</td>
                    <td>Retourne des informations sur le service</td>
                    <td>Un service</td>
                    <td>N/A</td>
                </tr>
                <tr>
                    <td>/persons/{mId}/services/{sId}</td>
                    <td>PUT</td>
                    <td>Modifie un service</td>
                    <td>N/A</td>
                    <td>Un service</td>
                </tr>
                <tr>
                    <td>/persons/{mId}/services/{sId}</td>
                    <td>DELETE</td>
                    <td>Supprime un service</td>
                    <td>N/A</td>
                    <td>N/A</td>
                </tr>
            </tbody>
        </table>
        <p><b>Exemple :</b> <a title="Retourne des informations sur la personne 1" 
                               href="http://localhost:8080/bartering/api/persons/1">http://localhost:8080/bartering/api/persons/1</a></p>
    </body>
</html>
